%define		plugin	twitter-bootstrap
%define		altname	bootstrap
Summary:	Bootstrap - front-end framework for faster and easier web development
Name:		jquery-%{plugin}
Version:	2.2.2
Release:	1
License:	Apache License v2.0
Group:		Applications/WWW
Source0:	http://twitter.github.com/bootstrap/assets/bootstrap.zip?/%{plugin}-%{version}.zip
# Source0-md5:	b270fa24011175fe97c2a7573d3cf7bd
URL:		http://twitter.github.com/bootstrap/
BuildRequires:	unzip
Requires:	jquery >= 1.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir	%{_datadir}/jquery/%{plugin}

%description
Sleek, intuitive, and powerful front-end framework for faster and
easier web development.

%prep
%setup -qc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdir}/{js,css}

cp -p %{altname}/js/%{altname}.js $RPM_BUILD_ROOT%{_appdir}/js/%{altname}-%{version}.js
cp -p %{altname}/js/%{altname}.min.js $RPM_BUILD_ROOT%{_appdir}/js/%{altname}-%{version}.min.js
ln -s %{altname}-%{version}.js $RPM_BUILD_ROOT%{_appdir}/js/%{altname}.src.js
ln -s %{altname}-%{version}.min.js $RPM_BUILD_ROOT%{_appdir}/js/%{altname}.js
ln -s %{altname}-%{version}.min.js $RPM_BUILD_ROOT%{_appdir}/js/%{altname}.min.js

cp -p %{altname}/css/%{altname}.css $RPM_BUILD_ROOT%{_appdir}/css/%{altname}-%{version}.css
cp -p %{altname}/css/%{altname}.min.css $RPM_BUILD_ROOT%{_appdir}/css/%{altname}-%{version}.min.css
ln -s %{altname}-%{version}.css $RPM_BUILD_ROOT%{_appdir}/css/%{altname}.src.css
ln -s %{altname}-%{version}.min.css $RPM_BUILD_ROOT%{_appdir}/css/%{altname}.css
ln -s %{altname}-%{version}.min.css $RPM_BUILD_ROOT%{_appdir}/css/%{altname}.min.css

cp -p %{altname}/css/%{altname}-responsive.css $RPM_BUILD_ROOT%{_appdir}/css/%{altname}-responsive-%{version}.css
cp -p %{altname}/css/%{altname}-responsive.min.css $RPM_BUILD_ROOT%{_appdir}/css/%{altname}-responsive-%{version}.min.css
ln -s %{altname}-responsive-%{version}.css $RPM_BUILD_ROOT%{_appdir}/css/%{altname}-responsive.src.css
ln -s %{altname}-responsive-%{version}.min.css $RPM_BUILD_ROOT%{_appdir}/css/%{altname}-responsive.css
ln -s %{altname}-responsive-%{version}.min.css $RPM_BUILD_ROOT%{_appdir}/css/%{altname}-responsive.min.css

cp -a %{altname}/img $RPM_BUILD_ROOT%{_appdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_appdir}
%changelog
* Tue Jan 22 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jquery-twitter-bootstrap.git;a=log;h=master

* Tue Jan 22 2013 Elan Ruusamäe <glen@delfi.ee> 66fbd34
up to 2.2.2 (December 8, 2012)

* Tue Dec 04 2012 Elan Ruusamäe <glen@delfi.ee> 5817511
up to 2.2.1, package files

* Tue Dec 04 2012 Elan Ruusamäe <glen@delfi.ee> 9d0296b
rename to jquery-twitter-bootstrap

* Tue Aug 21 2012 Elan Ruusamäe <glen@delfi.ee> 1a0fe33
new

